const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_f = arg1[48];
    v0_12 = z.x_global_2d_to_2d_local # bp+12;
    z.x_global_2d_to_2d_local = __asm_fpatan(edi_global_2d_to_2d_local, esi_global_2d_to_2d_local, ebx_global_2d_to_2d_local);
    storemerge = fabsl(z.y);
    v1_2e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_30 = v1_2e / 256 & 65 # bp+30;
    z.x_global_2d_to_2d_local = z.x_global_2d_to_2d_local & -0x10000 | v1_2e & -0xff01 | 256 * v3_30;
    v1_3a = storemerge;
    while v3_30 == 0:;
        # 0x35;
        v1_2e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v3_30 = v1_2e / 256 & 65;
        z.x_global_2d_to_2d_local = z.x_global_2d_to_2d_local & -0x10000 | v1_2e & -0xff01 | 256 * v3_30;
        v1_3a -= 2 * *v3_f / *((v3_f - 16));
    # 0x3a;
    if fabsl(v1_3a) < 9223372036854775808.0:;
        # bb;
        cosl(v1_3a);
    # bb240;
    *z.y = z.y;
    *z.z = z.y * z.z;
    return v0_12;


	}